Get storage credentials

Purpose

Retrieve temporary credentials to access a private data storage location for uploading input files and downloading results.

Request data

HTTP method: GET

  • Constants and parameters enclosed in curly brackets {} must be replaced with their values.
  • See the following Path parameters and Query parameters sections with the required and optional parameters tables for these values.

URL format

get
URL format
https://api.tomtom.com/maps/orbis/platform/private-gateway/storages/{id}/credentials?type=READ_WRITE

URL example

get
URL example
https://api.tomtom.com/maps/orbis/platform/private-gateway/storages/storage-001/credentials?type=READ_WRITE

curl command example

get
curl command example
1curl -X GET "https://api.tomtom.com/maps/orbis/platform/private-gateway/storages/storage-001/credentials?type=READ_WRITE" \
2 -H "tomtom-api-key: YOUR_API_KEY" \
3 -H "Authorization: Bearer YOUR_AUTH_TOKEN"

Request headers

HeaderRequiredDescription
tomtom-api-keyYesYour TomTom API key
AuthorizationYesBearer token from Azure CLI

Path parameters

ParameterTypeRequiredDescription
idstringYesThe unique identifier of the storage

Query parameters

ParameterTypeRequiredDescription
typestringYesCredential type. Use READ_WRITE for upload/download operations or READ for download

Response data

The credentials endpoint returns a wrapped Vault token that must be unwrapped before use. The response body contains the wrapped token as a string.

Response example

1{
2 "credentials": "hvs.CAESI...truncated...wrapped_token"
3}

Using the credentials

Once you receive the wrapped token, you must unwrap it to obtain the actual storage credentials to locally authorize to your storage. See the Storage authentication documentation for detailed instructions on unwrapping the token and using the credentials to access storage.

Error responses

HTTP StatusErrorCauseSolution
401UnauthorizedInvalid credentialsRefresh API key or token
403ForbiddenInsufficient permissionsCheck your access rights
404Not FoundStorage not foundVerify storage ID
500Internal Server ErrorServer-side issueRetry the request